This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 855625 - engine: no warning is issued that only vm configuration will be exported when exporting a vm with no disk/shared disk/direct lun
engine: no warning is issued that only vm configuration will be exported when...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: 3.2.0
Assigned To: Michal Skrivanek
Elad
virt
:
Depends On:
Blocks: 915537 922807
  Show dependency treegraph
 
Reported: 2012-09-09 08:15 EDT by Dafna Ron
Modified: 2013-06-11 04:49 EDT (History)
11 users (show)

See Also:
Fixed In Version: sf10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Sample export dialog (15.11 KB, image/png)
2013-01-15 10:29 EST, Libor Spevak
no flags Details
New export dialog (16.14 KB, image/png)
2013-01-17 05:51 EST, Libor Spevak
no flags Details
New create snapshot dialog (10.19 KB, image/png)
2013-01-17 05:52 EST, Libor Spevak
no flags Details
New Create template dialog (20.05 KB, image/png)
2013-01-17 05:52 EST, Libor Spevak
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11144 None None None Never
oVirt gerrit 12286 None None None Never
oVirt gerrit 12525 None None None Never

  None (edit)
Description Dafna Ron 2012-09-09 08:15:18 EDT
Description of problem:

when we export a vm with no disk/shared disk or direct lun, the export succeeds only for vm's configuration. 
if no warning is issued user might think that the images are exported and will be surprised when he finds out this is not the case. 

Version-Release number of selected component (if applicable):

si17

How reproducible:

100%

Steps to Reproduce:
1. create a vm with shared disk
2. create a vm with direct lun
3. create a vm with no disks
4. export the vms
  
Actual results:

vm's will be exported without the disks and with no warning. 

Expected results:

if vm has no disks, shared disk or direct lun please issue a warning (like we have when the vm already exists in the export domain) which the user will have to approve. 

Additional info:

when we export a vm that already exists we see the following: 

VM(s): • Direct_Lun already exist on the target Export Domain. If you want to override them, please check the 'Force Override' check-box.

speaking to Miki she would like to see something like that when we exclude the direct lun/shared disk or vm has no images.
Comment 1 Michal Skrivanek 2012-10-22 07:39:40 EDT
do you really insist on confirmation check-box? Wouldn't that be too much annoying? Isn't it enough to have a red warning text pretty much similar as the one presented when the export domain doesn't exist
Comment 2 Dafna Ron 2012-10-22 08:03:23 EDT
personally I do not think that its enough, but its not my call :)
this is a PM decision.
Comment 3 Barak 2012-12-03 06:33:05 EST
Andrew, Simon ?
Please comment.
Comment 4 Andrew Cathrow 2012-12-03 06:41:57 EST
Warning is enough.
Moving to 3.2
Comment 5 Libor Spevak 2013-01-15 10:29:53 EST
Created attachment 678844 [details]
Sample export dialog
Comment 6 Libor Spevak 2013-01-15 10:31:37 EST
Propose please a convenient text for the message...

e.g.
Disk(s):\n{0} will not be part of the exported snapshot.
or
Disk(s):\n{0} will not be part of the exported virtual machine.

Appending sample screenshot of the solution....
Comment 7 Michal Skrivanek 2013-01-16 03:46:26 EST
text seems ok to me, just layout formatting. pls attach new snapshot
Comment 8 Dafna Ron 2013-01-16 03:54:35 EST
(In reply to comment #7)
> text seems ok to me, just layout formatting. pls attach new snapshot

I am not sure what you need me to attach.
in sf3 there is still no warning issued when exporting a vm with a shared disk.
Comment 9 Libor Spevak 2013-01-17 05:51:39 EST
Created attachment 680124 [details]
New export dialog
Comment 10 Libor Spevak 2013-01-17 05:52:07 EST
Created attachment 680125 [details]
New create snapshot dialog
Comment 11 Libor Spevak 2013-01-17 05:52:42 EST
Created attachment 680126 [details]
New Create template dialog
Comment 12 Libor Spevak 2013-01-17 06:46:17 EST
I6a183931e36ccd4668225ad206edc4a5e58795e3
Comment 13 Libor Spevak 2013-02-04 15:54:16 EST
Merged upstream master 3.3
056aad683e6064db5149003035498143a6ee953a
Comment 14 Libor Spevak 2013-02-06 09:54:30 EST
Merged downstream 3.2

3908b50a3e1d5848577ff818eb042e2644ff157a
Comment 15 Elad 2013-02-21 05:35:58 EST
I checked on SF7. When I export VM without disks, still, there is no warning.
Comment 16 Libor Spevak 2013-02-21 09:26:31 EST
Missing check pushed for review upstream.

New messages added:
- No disk will be part of the exported virtual machine.
- No disk will be part of the exported template.
- No disk will be part of the exported snapshot.
Comment 17 Michal Skrivanek 2013-02-21 09:46:03 EST
looking at the patches - so what's the message when I'm e.g. exporting a VM with directly attached LUN?
Comment 18 Libor Spevak 2013-02-22 07:01:21 EST
Current messages unified to 3 forms now:

There are no exportable disks, only the configuration will be exported.
Shared disk(s) will not be exported: {0}.
Direct LUN disk(s) will not be exported: {0}.

{0}..comma-separated list of disk labels.

0-3 of them can be shown for VM export, VM template, VM snapshot dialogs.
Comment 20 Elad 2013-03-14 11:20:49 EDT
Verified on SF10. Warning was issued when VM's with direct LUN, shared disk and with no disks have been exported.
Comment 22 Itamar Heim 2013-06-11 04:42:01 EDT
3.2 has been released
Comment 23 Itamar Heim 2013-06-11 04:42:01 EDT
3.2 has been released
Comment 24 Itamar Heim 2013-06-11 04:42:04 EDT
3.2 has been released
Comment 25 Itamar Heim 2013-06-11 04:49:22 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.